
#include "usb.h"
#include <windef.h>

void m_usb_init(void)
{
	usb_init();
}

int m_usb_find_busses(void)
{
	return usb_find_busses();
}

int m_usb_find_devices(void)
{
	return usb_find_devices();
}

struct usb_bus* m_usb_get_busses(void)
{
	return usb_get_busses();
}

usb_dev_handle* m_usb_open(struct usb_device *dev)
{
	return usb_open(dev);
}

int m_usb_set_configuration(usb_dev_handle *dev, int configuration)
{
	return usb_set_configuration(dev, configuration);
}

int m_usb_claim_interface(usb_dev_handle *dev, int interface)
{
	return usb_claim_interface(dev, interface);
}

int m_usb_control_msg(usb_dev_handle *dev, int bmRequestType,
	int bRequest, int wValue, int wIndex, char *bytes, int size, int timeout)
{
	return usb_control_msg(dev, bmRequestType, bRequest, wValue, wIndex, bytes, size, timeout);
}

int m_usb_release_interface(usb_dev_handle *dev, int interface)
{
	return usb_release_interface(dev, interface);
}

int m_usb_close(usb_dev_handle *dev)
{
	return usb_close(dev);
}

int m_usb_bulk_read(usb_dev_handle *dev, int ep, char *bytes, int size, int timeout)
{
	return usb_bulk_read(dev, ep, bytes, size, timeout);
}

char* m_usb_strerror(void)
{
	return usb_strerror();
}

